Bug 553083 - gnome-bluetooth requires nautilus to browse devices
Summary: gnome-bluetooth requires nautilus to browse devices
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-bluetooth
Version: 12
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-07 02:26 UTC by Christoph Wickert
Modified: 2010-01-28 00:58 UTC (History)
2 users (show)

Fixed In Version: 2.28.6-2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-28 00:58:41 UTC
Type: ---


Attachments (Terms of Use)

Description Christoph Wickert 2010-01-07 02:26:47 UTC
Description of problem:
Currently we include gnome-bluetooth in the Xfce spin. Unfortunately it hardcodes "nautilus" for browsing bluetooth devices, so opening a device from the bluetooth-applet doesn't work.

Version-Release number of selected component (if applicable):
gnome-bluetooth-2.28.3-1.fc12 / Fedora 12 Xfce Spin

Possible solutions:
1. Drop gnome-bluetooth. We loose a lot of functionality, but we still can open devices with gigolo.
2. "Fix" gnome-bluetooth to use the file manager that is available. Not sure what Bastien thinks about this.
3. Switch to blueman. It has less deps (but still requires GConf) and the command for opening a device can be configured in the prefs dialog. However I was net yet able to test it with Thunar as my mobile is broken. Just consider this bug a reminder so we don't forget this.

Comment 1 Christoph Wickert 2010-01-07 03:18:47 UTC
(In reply to comment #0)
> the
> command for opening a device can be configured in the prefs dialog. However I
> was net yet able to test it with Thunar as my mobile is broken.

not tested, but "gvfs-mount -d obex://[%d]" should work. Hopefully thunar-volman opens a Thunar window automatically.

Comment 3 Fedora Update System 2010-01-07 18:04:04 UTC
gnome-bluetooth-2.28.6-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gnome-bluetooth-2.28.6-2.fc12

Comment 4 Christoph Wickert 2010-01-07 18:29:25 UTC
(In reply to comment #2)
> Fixed in:

Thanks a lot for the quick fix Bastien!

Comment 5 Fedora Update System 2010-01-08 20:01:13 UTC
gnome-bluetooth-2.28.6-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnome-bluetooth'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0348

Comment 6 Fedora Update System 2010-01-28 00:58:36 UTC
gnome-bluetooth-2.28.6-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.